package com.yunfeiyun.agmp.common.core.domain.entity;

import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import com.yunfeiyun.agmp.common.core.domain.model.IBaseUserBind;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 门户用户与子系统用户关联 PtsSysuser
 * 
 * @author 杨晓辉
 */
public class PtsUserBind extends BaseEntity implements IBaseUserBind
{
    private String userbindId;
    private String userId;
    private String userbindSys;
    private String userbindSysuser;
    private String userbindToken;

    public String getUserBindId()
    {
        return userbindId;
    }
    public void setUserBindId(String userbindId)
    {
        this.userbindId = userbindId;
    }
    public String getUserId()
    {
        return userId;
    }
    public void setUserId(String userId)
    {
        this.userId = userId;
    }
    public String getUserBindSys()
    {
        return userbindSys;
    }
    public void setUserBindSys(String userbindSys)
    {
        this.userbindSys = userbindSys;
    }
    public String getUserBindSysUser()
    {
        return userbindSysuser;
    }
    public void setUserBindSysUser(String userbindSysuser)
    {
        this.userbindSysuser = userbindSysuser;
    }
    public String getUserBindToken()
    {
        return userbindToken;
    }
    public void setUserBindToken(String userbindToken)
    {
        this.userbindToken = userbindToken;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("userId", getUserId())
            .append("userbindSys", getUserBindSys())
            .append("userbindSysuser", getUserBindSysUser())
            .append("userbindToken", getUserBindToken())
            .toString();
    }
}
